IStoreFactory (Apache Tomcat 10.1.39 API Documentation)
Description: declaration: package: org.apache.catalina.storeconfig, interface: IStoreFactory

# Interface IStoreFactory

All Known Implementing Classes:
  `CatalinaClusterSF`, `ChannelSF`, `ConnectorSF`, `CredentialHandlerSF`, `GlobalNamingResourcesSF`, `InterceptorSF`, `JarScannerSF`, `LoaderSF`, `ManagerSF`, `NamingResourcesSF`, `OpenSSLConfSF`, `PersistentManagerSF`, `RealmSF`, `SenderSF`, `SSLHostConfigSF`, `StandardContextSF`, `StandardEngineSF`, `StandardHostSF`, `StandardServerSF`, `StandardServiceSF`, `StoreFactoryBase`, `WatchedResourceSF`, `WebResourceRootSF`, `WrapperLifecycleSF`, `WrapperListenerSF`

public interface IStoreFactory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StoreRegistry`
  `getRegistry()`
  `StoreAppender`
  `getStoreAppender()`
  `void`
  `setRegistry(StoreRegistry aRegistry)`
  Set the registry.
  `void`
  `setStoreAppender(StoreAppender storeWriter)`
  Set the store appender.
  `void`
  `store(PrintWriter aWriter, int indent, Object aElement)`
  Store a server.xml element with attributes and children.
  `void`
  `storeXMLHead(PrintWriter aWriter)`
  Store XML header.

- ## Method Details

  - ### getStoreAppender

    StoreAppender getStoreAppender()
    Returns:
      the writer

  - ### setStoreAppender

    void setStoreAppender(StoreAppender storeWriter)
    Set the store appender.
    Parameters:
      `storeWriter` - the writer

  - ### setRegistry

    void setRegistry(StoreRegistry aRegistry)
    Set the registry.
    Parameters:
      `aRegistry` - the registry to be associated with

  - ### getRegistry

    StoreRegistry getRegistry()
    Returns:
      the associated registry

  - ### store

    void store(PrintWriter aWriter, int indent, Object aElement) throws Exception
    Store a server.xml element with attributes and children.
    Parameters:
      `aWriter` - the writer to write to
      `indent` - the indentation
      `aElement` - the element to write
    Throws:
      `Exception` - if an error occurs

  - ### storeXMLHead

    void storeXMLHead(PrintWriter aWriter)
    Store XML header.
    Parameters:
      `aWriter` - the writer to write to